# Uses of Interface
org.eclipse.emf.cdo.lm.Module

Packages that use Module
Package
Description
org.eclipse.emf.cdo.lm
The generated EMF API of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.
org.eclipse.emf.cdo.lm.impl
The generated EMF implementation of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.util
The generated EMF utilities of the CDO Lifecycle Management model.

## Uses of Module in org.eclipse.emf.cdo.lm

Methods in org.eclipse.emf.cdo.lm that return Module
Modifier and Type
Method
Description
`Module`
LMFactory.`createModule()`
Returns a new object of class 'Module'.
`Module`
ModuleElement.`getModule()`
`Module`
Stream.`getModule()`
Returns the value of the 'Module' container reference.
`Module`
System.`getModule(String name)`
`Module`
Dependency.`getTarget()`
Returns the value of the 'Target' reference.
Methods in org.eclipse.emf.cdo.lm that return types with arguments of type Module
Modifier and Type
Method
Description
`EList<Module>`
System.`getModules()`
Returns the value of the 'Modules' containment reference list.
Methods in org.eclipse.emf.cdo.lm with parameters of type Module
Modifier and Type
Method
Description
`void`
Stream.`setModule(Module value)`
Sets the value of the '`Module`' container reference.
`void`
Dependency.`setTarget(Module value)`
Sets the value of the '`Target`' reference.

## Uses of Module in org.eclipse.emf.cdo.lm.client

Methods in org.eclipse.emf.cdo.lm.client that return Module
Modifier and Type
Method
Description
`Module`
ISystemDescriptor.`createModule(String name, ModuleType type, StreamSpec streamSpec, IProgressMonitor monitor)`
`Module`
ISystemDescriptor.`createModule(String name, StreamSpec streamSpec, IProgressMonitor monitor)`
`Module`
ISystemManager.ModuleCreatedEvent.`getNewModule()`
Methods in org.eclipse.emf.cdo.lm.client that return types with arguments of type Module
Modifier and Type
Method
Description
`List<Module>`
LMImporter.ImportResolution.`importModules(ISystemDescriptor systemDescriptor)`
Methods in org.eclipse.emf.cdo.lm.client with parameters of type Module
Modifier and Type
Method
Description
`Stream`
ISystemDescriptor.`createStream(Module module, Drop base, StreamSpec streamSpec, IProgressMonitor monitor)`
`void`
ISystemDescriptor.`deleteModule(Module module, IProgressMonitor monitor)`

## Uses of Module in org.eclipse.emf.cdo.lm.impl

Classes in org.eclipse.emf.cdo.lm.impl that implement Module
Modifier and Type
Class
Description
`class`
`ModuleImpl`
An implementation of the model object 'Module'.
Methods in org.eclipse.emf.cdo.lm.impl that return Module
Modifier and Type
Method
Description
`Module`
DependencyImpl.`basicGetTarget()`
`Module`
LMFactoryImpl.`createModule()`
`Module`
BaselineImpl.`getModule()`
`Module`
DependencyImpl.`getModule()`
`Module`
StreamImpl.`getModule()`
`Module`
SystemImpl.`getModule(String name)`
`Module`
DependencyImpl.`getTarget()`
Methods in org.eclipse.emf.cdo.lm.impl that return types with arguments of type Module
Modifier and Type
Method
Description
`EList<Module>`
SystemImpl.`getModules()`
Methods in org.eclipse.emf.cdo.lm.impl with parameters of type Module
Modifier and Type
Method
Description
`NotificationChain`
StreamImpl.`basicSetModule(Module newModule, NotificationChain msgs)`
`void`
StreamImpl.`setModule(Module newModule)`
`void`
DependencyImpl.`setTarget(Module newTarget)`

## Uses of Module in org.eclipse.emf.cdo.lm.util

Methods in org.eclipse.emf.cdo.lm.util with parameters of type Module
Modifier and Type
Method
Description
`T`
LMSwitch.`caseModule(Module object)`
Returns the result of interpreting the object as an instance of 'Module'.